# Interface methods for submodule: IntermodesThresholdCalculator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import HistogramThresholdCalculatorProxy as _HistogramThresholdCalculatorProxy


# Interface methods for class: IntermodesThresholdCalculator
class IntermodesThresholdCalculatorProxy(_HistogramThresholdCalculatorProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMaximumSmoothingIterations(self, _arg: int) -> None:
		""""""
		...

	def GetMaximumSmoothingIterations(self) -> int:
		""""""
		...

	def SetUseInterMode(self, _arg: bool) -> None:
		""""""
		...

	def GetUseInterMode(self) -> bool:
		""""""
		...

	def UseInterModeOn(self) -> None:
		""""""
		...

	def UseInterModeOff(self) -> None:
		""""""
		...

